Subject: Re: bug#12058: AM_PATH_SDL does not find SDL framework installations on Mac OSX

From: Stefano Lattarini <[email-masked]>
Date: Thu, 26 Jul 2012 20:38:13 +0200

close 12058 notabug
thanks

Hi Dave.

On 07/26/2012 04:42 PM, David Lowe wrote:
>  Background information: on OSX, the preferred distribution method for
>  libraries is the 'framework' which is a click-and-draggable object
>  that contains headers and libraries together.  The standard location
>  for these is: /Library/Frameworks/
> 
>  I have the latest version of officially provided SDL runtime
>  libraries here:
> 
> Darlene-Lowes-Mac-mini:/ (222) $ ls /Library/Frameworks/SDL*
> /Library/Frameworks/SDL.framework:
> Headers   Resources SDL       Versions
> 
> /Library/Frameworks/SDL_image.framework:
> Frameworks Headers    Resources  SDL_image  Versions
> 
> /Library/Frameworks/SDL_mixer.framework:
> Frameworks Headers    Resources  SDL_mixer  Versions
> 
> However, automake ignores them, leading to:
>
> checking for sdl-config... no
> checking for SDL - version >= 1.1.4... no
> *** The sdl-config script installed by SDL could not be found
> *** If SDL was installed in PREFIX, make sure PREFIX/bin is in
> *** your path, or set the SDL_CONFIG environment variable to the
> *** full path to sdl-config.
> configure: error: specified client 'sdl' not configurable (SDL >= 1.1.4 is needed (www.libsdl.org))
> 
>  The above portion of a log came from a recent attempt to install
>  Freeciv-SDL from source.  I will attach the full copies of configure.ac
>  and Makefile.am that were generated during that attempt, as i don't
>  now enough to be sure what i could trim out without removing useful
>  information.  In any case, the failure is repeatable across a range
>  of versions of OSX with these frameworks.  I did once grab the SDL
>  sources and do the usual configure/make.  The resulting installation
>  does not create a framework, but automake does find the libraries.
> 
> Relevant versions:
> 
>   automake: 1.10
>   SDL: 1.2.14
>   OSX: 10.6.8
> 
> Desired results: I would prefer that AM_PATH_SDL be upgraded to
> find and use such frameworks.  Failing that, it would be nice if
> someone could suggest an alternate test so that the framework
> can be used in the configure process of the Freeciv project.=
>
Well, this problem has nothing to do with Automake, because the macro
AM_PATH_SDL is *not* provided by Automake -- although the fact that the
macro name starts with 'AM_' confusingly suggest otherwise.

IMNSHO that choice of a name it is a serious mistake by whoever is
defining/distributing that macro, for two reasons:

  1. it gives the wrong impression that the macro is provided
     by or related to Automake -- not true.

  2. It invades the 'AM_' namespace, that should be reserved
     for automake macros.

Back to you problem: a google search *suggests* that AM_PATH_SDL is
provided by the SDL project itself:

<http://wiki.libsdl.org/moin.cgi/FAQLinux>
<http://lists.libsdl.org/pipermail/commits-libsdl.org/2010-April/002622.html>
<http://www.libsdl.org/release/SDL-1.2.15/sdl.m4>

So you might want to report the issue to them.

Regards, and good luck,
  Stefano